Atom feed of this document
 
 
 

 1.3. Get Server Details

Verb URI Description
GET /servers/id Lists details of the specified server.

Normal Response Codes: 200 and 203

Error Response Codes: cloudServersFault (400, 500), serviceUnavailable (503), unauthorized (401), badRequest (400), itemNotFound (404), overLimit (413)

This operation returns the details of a specified server. Specify the server ID as id in the URI.

This operation does not require a request body.

The response body includes the following information:

Table 3.2. Get Server Details Response Fields
Name Description
id The server ID.
name The server name.
flavorId The flavor ID.
imageId The image ID.
status The server status. See Server Status Values.
progress The percentage value of the build status. For example, if the status is 60, the server is 60% built.
hostId The host ID.
metadata Metadata key and value pairs.
addresses Public and private IP addresses.

 

Example 3.9. Get Server Details: JSON Response

{
    "server": {
        "addresses": {
            "private": [
                "10.178.54.11"
            ], 
            "public": [
                "198.101.228.60"
            ]
        }, 
        "flavorId": 2, 
        "hostId": "2d66db781ce490432f55ada17610173e", 
        "id": 21034274, 
        "imageId": 119, 
        "metadata": {
            "My Server Name": "API Test Server"
        }, 
        "name": "api-test-server", 
        "progress": 100, 
        "status": "ACTIVE"
    }
}


 

Example 3.10. Get Server Details: XML Response

<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<server xmlns="http://docs.rackspacecloud.com/servers/api/v1.0"
  status="ACTIVE" progress="100"
  hostId="2d66db781ce490432f55ada17610173e" flavorId="2" imageId="119"
  id="21034274" name="api-test-server">
  <metadata>
    <meta key="My Server Name">API Test Server</meta>
  </metadata>
  <addresses>
    <public>
      <ip addr="198.101.228.60"/>
    </public>
    <private>
      <ip addr="10.178.54.11"/>
    </private>
  </addresses>
</server>